%def_enable gstreamer

Name: ruby-gnome2
Version: 0.12.0
Release: alt2

Summary: Ruby extension module for GNOME
License: LGPL
Group: Development/Ruby
Url: http://%name.sourceforge.jp

Source: http://prdownloads.sourceforge.net/%name/%name-all-%version.tar.gz
Patch: ruby-gnome2-0.8.1-alt-config.patch
Patch1: ruby-gnome2-all-0.9.1-libgda.patch
Patch2: ruby-gnome2-all-0.9.1-gstreamer.patch

%define libruby_ver 1.8.2-alt1
%define ruby_stdlibs_ver 1.8.2-alt1

PreReq: ruby-gtk2 = %version-%release
AutoReq: yes, noshell

BuildPreReq: ruby

BuildRequires: ORBit2-devel fontconfig freetype2 glib2-devel gnome-libs-devel gnome-vfs2-devel
BuildRequires: gstreamer-devel gstreamer-plugins-devel libGConf2-devel libart_lgpl-devel libatk-devel
BuildRequires: libbonobo2-devel libbonoboui-devel libgda2-devel libglade2-devel libgnome-devel
BuildRequires: libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel
BuildRequires: libgtk+2-devel libgtkglext-devel libgtkhtml2-devel libgtksourceview-devel
BuildRequires: libjpeg-devel libpango-devel libpng-devel libpopt-devel librsvg2-devel 
BuildRequires: libruby-devel libxml2-devel libxslt-devel pkgconfig 
BuildRequires: ruby-stdlibs xorg-x11-devel xorg-x11-libs zlib-devel

%description
Ruby extension module for GNOME2

%package -n ruby-libglade2
Summary: Ruby extension module for Glade2
License: LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release

%description -n ruby-libglade2
Ruby extension module for Glade

%package -n ruby-gdkpixbuf2
Summary: Ruby extension module for GDK Pixbuf
License: LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release

%description -n ruby-gdkpixbuf2
Ruby extension library to use GDK Pixbuf

%package -n ruby-gconf2
Summary: Ruby extension module for Gconf2
License: LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release

%description -n ruby-gconf2
Ruby extension library to use Gconf2

%package -n ruby-gtkhtml2
Summary: Ruby extension module for GtkHtml2
License: LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release, ruby-gtk2 = %version-%release

%description -n ruby-gtkhtml2
Ruby extension library to use GtkHtml2

%if_enabled gstreamer
%package -n ruby-gstreamer
Summary: Ruby extension module for Gstreamer
License: LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release

%description -n ruby-gstreamer
Ruby extension library to use Gstreamer
%endif

%package -n ruby-gnomecanvas2
Summary: Ruby extension module for Gnome Canvas2
License: LGPL
Group: Development/Ruby
PreReq: ruby-gtk2 = %version-%release

%description -n ruby-gnomecanvas2
Ruby extension library to use Gnome Canvas2

%package -n ruby-gtk2
Summary: Ruby extension module for GTK+2
License: LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release, ruby-pango = %version-%release, 
PreReq: ruby-gdkpixbuf2 = %version-%release

%description -n ruby-gtk2
Ruby/Gtk2 is a Ruby binding of GTK+-2.x.

%package -n ruby-atk
Summary: Ruby extension module for Gtk+2 accessibility features
License: LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release, ruby-gtk2 = %version-%release

%description -n ruby-atk
Ruby/ATK is a Ruby binding of ATK.

%package -n ruby-pango
Summary: Ruby extension module for Pango
License: LGPL
Group: Development/Ruby
PreReq: ruby-glib2 = %version-%release

%description -n ruby-pango
Ruby/Pango is a Ruby binding of Pango

%package -n ruby-glib2
Summary: Ruby extension module for Glib2
License: LGPL
Group: Development/Ruby
PreReq: libruby >= %libruby_ver, ruby-stdlibs >= %ruby_stdlibs_ver

%description -n ruby-glib2
Ruby/Glib2 is a Ruby binding of GLib2.

%package -n ruby-libart
Summary: Ruby extension module for libart
License: LGPL
Group: Development/Ruby
PreReq: libruby >= %libruby_ver, ruby-stdlibs >= %ruby_stdlibs_ver

%description -n ruby-libart
Ruby/LibArt is a Ruby binding of libart_lgpl

%package -n ruby-libgda2
Summary: Ruby extension module for libgda2
License: LGPL
Group: Development/Ruby
PreReq: libruby >= %libruby_ver, ruby-stdlibs >= %ruby_stdlibs_ver

%description -n ruby-libgda2
Ruby/Libgda is a Ruby binding of libgda (GNOME-DB Project).

%package -n ruby-gtkglext
Summary: Ruby extension module for GtkGLExt
License: LGPL
Group: Development/Ruby
PreReq: libruby >= %libruby_ver, ruby-stdlibs >= %ruby_stdlibs_ver

%description -n ruby-gtkglext
Ruby/GtkGLExt is a Ruby binding of GtkGLExt.

%package -n ruby-gnomevfs2
Summary: Ruby extension module for GnomeVFS
License: LGPL
Group: Development/Ruby
PreReq: libruby >= %libruby_ver, ruby-stdlibs >= %ruby_stdlibs_ver

%description -n ruby-gnomevfs2
Ruby/GnomeVFS is a Ruby binding of GnomeVFS

%package -n ruby-gnomeprintui
Summary: Ruby extension module for GnomePrintUI
License: LGPL
Group: Development/Ruby
PreReq: libruby >= %libruby_ver, ruby-stdlibs >= %ruby_stdlibs_ver

%description -n ruby-gnomeprintui
Ruby/GnomePrintUI is a Ruby binding of GnomePrintUI

%package -n ruby-gnomeprint
Summary: Ruby extension module for GnomePrint
License: LGPL
Group: Development/Ruby
PreReq: libruby >= %libruby_ver, ruby-stdlibs >= %ruby_stdlibs_ver

%description -n ruby-gnomeprint
Ruby/GnomePrint is a Ruby binding of GnomePrint

%package -n ruby-rsvg
Summary: Ruby extension module for rsvg
License: LGPL
Group: Development/Ruby
PreReq: libruby >= %libruby_ver, ruby-stdlibs >= %ruby_stdlibs_ver

%description -n ruby-rsvg
Ruby/RSVG is a Ruby binding of rsvg

%package -n ruby-gnome2-full
Summary: All Ruby extension modules for Gnome2
License: LGPL
Group: Development/Ruby
Requires: ruby-gnome2 >= %version
Requires: ruby-atk >= %version
Requires: ruby-libglade2 >= %version
Requires: ruby-gdkpixbuf2 >= %version
Requires: ruby-gconf2 >= %version
Requires: ruby-gtkhtml2 >= %version
Requires: ruby-gnomecanvas2 >= %version
Requires: ruby-gtk2 >= %version
Requires: ruby-pango >= %version
Requires: ruby-glib2 >= %version
Requires: ruby-libart >= %version
Requires: ruby-libgda2 >= %version
Requires: ruby-gtkglext >= %version
Requires: ruby-gnomevfs2 >= %version
Requires: ruby-gnomeprint >= %version
Requires: ruby-gnomeprintui >= %version
Requires: ruby-rsvg >= %version

%if_enabled gstreamer
Requires: ruby-gstreamer >= %version
%endif

%description -n ruby-gnome2-full
This virtual package contained all Ruby extension modules for GNOME2

%prep
%setup -q -n %name-all-%version
%patch -p1
#%patch1 -p1

#%if_enabled gstreamer
#%patch2 -p1
#%endif

%build
find . -type d -name 'CVS' | xargs rm -rf
%ruby_configure
%make_build

%install
%make DESTDIR=%buildroot site-install
%__mkdir_p %buildroot%_bindir
cp libglade/bin/ruby-glade-create-template %buildroot%_bindir 

%files
%ruby_sitearchdir/gnome2.so
%ruby_sitelibdir/gnome2.rb
%doc gnome/{README,ChangeLog,sample}

%files -n ruby-gconf2
%ruby_sitearchdir/gconf2.so
%ruby_sitelibdir/gconf2.rb
%doc gconf/{README,ChangeLog,tests}

%files -n ruby-gtkhtml2
%ruby_sitearchdir/gtkhtml2.so
%ruby_sitelibdir/gtkhtml2.rb
%doc gtkhtml2/{README,ChangeLog,sample}

%if_enabled gstreamer
%files -n ruby-gstreamer
%ruby_sitearchdir/gst.so
%ruby_sitelibdir/gst.rb
%doc gstreamer/{README,ChangeLog,sample,tests}
%endif


%files -n ruby-gdkpixbuf2
%ruby_sitelibdir/gdk_pixbuf2.rb
%ruby_sitearchdir/gdk_pixbuf2.so
%doc gdkpixbuf/{README,ChangeLog,sample}

%files -n ruby-libglade2
%_bindir/ruby-glade-create-template
%ruby_sitelibdir/libglade2.rb
%ruby_sitearchdir/libglade2.so
%doc libglade/{README,ChangeLog,sample}

%files -n ruby-gnomecanvas2
%ruby_sitearchdir/gnomecanvas2.so
%ruby_sitelibdir/gnomecanvas2.rb
%doc gnomecanvas/{README,ChangeLog,sample}

%files -n ruby-gtk2
%ruby_sitearchdir/gtk*.so 
%exclude %ruby_sitearchdir/gtksourceview.so
%ruby_sitearchdir/rbgtk.h
%ruby_sitelibdir/gtk2.rb
%doc gtk/{README,ChangeLog,sample}

%files -n ruby-atk
%ruby_sitearchdir/atk.so
%ruby_sitelibdir/atk.rb
%doc pango/{README,ChangeLog}

%files -n ruby-pango
%ruby_sitearchdir/pango.so
%ruby_sitearchdir/rbpango.h
%ruby_sitelibdir/pango.rb
%ruby_sitearchdir/rbpangoversion.h
%doc pango/{README,ChangeLog,sample}

%files -n ruby-libgda2
%ruby_sitearchdir/libgda.so
%ruby_sitelibdir/libgda.rb
%doc libgda/{README,ChangeLog,sample}

%files -n ruby-libart
%ruby_sitearchdir/libart2.so
%ruby_sitearchdir/rbart.h
%doc libart/{README,ChangeLog,sample}

%files -n ruby-glib2
%ruby_sitearchdir/glib2.so
%ruby_sitearchdir/rbglib.h
%ruby_sitearchdir/rbgutil.h
%ruby_sitearchdir/rbgobject.h
%ruby_sitelibdir/glib2.rb
%ruby_sitelibdir/mkmf-gnome2.rb
%ruby_sitelibdir/pkg-config.rb
%doc glib/{README,ChangeLog}

%files -n ruby-gtkglext
%ruby_sitelibdir/gtkglext.rb
%doc gtkglext/{README*,ChangeLog,sample}

%files -n ruby-gnomevfs2
%ruby_sitearchdir/gnomevfs.so
%ruby_sitelibdir/gnomevfs.rb
%doc gnomevfs/{README,ChangeLog,tests}

%files -n ruby-gnomeprintui
%ruby_sitearchdir/gnomeprintui2.so
%ruby_sitelibdir/gnomeprintui2.rb
%doc gnomeprintui/{README,ChangeLog,sample}

%files -n ruby-gnomeprint
%ruby_sitearchdir/gnomeprint2.so
%ruby_sitelibdir/gnomeprint2.rb
%doc gnomeprint/{README,ChangeLog,sample}

%files -n ruby-rsvg
%ruby_sitearchdir/rsvg2.so
%ruby_sitelibdir/rsvg2.rb
%doc rsvg/{README,ChangeLog,sample}

%files -n ruby-gnome2-full

%changelog
* Thu Apr 14 2005 Vital Khilko <vk@altlinux.ru> 0.12.0-alt2
- new dependencies

* Mon Apr 11 2005 Vital Khilko <vk@altlinux.ru> 0.12.0-alt1
- 0.12.0

* Thu Jan 20 2005 Vital Khilko <vk@altlinux.ru> 0.11.0-alt1
- 0.11.0
- enable ruby-gstreamer

* Thu Apr 08 2004 Vital Khilko <vk@altlinux.ru> 0.9.1-alt2
- rebuild with gnome 2.6
- patched for libgda 1.1.1 support
- added ruby-gnome2-full virtual package
- ruby-gstreamer temporary disabled

* Sun Mar 14 2004 Vital Khilko <vk@altlinux.ru> 0.9.1-alt1
- new version.

* Wed Mar 10 2004 Vital Khilko <vk@altlinux.ru> 0.9.0-alt1
- new version.
- new atk subpackage.

* Thu Jan 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- new version.
- new gtkglext, gnomevfs2 and libgda2 subpackages.

* Thu Aug 21 2003 Alexander Bokovoy <ab@altlinux.ru> 0.6.0-alt1
- 0.6.0
- Fixed:
   + Wrong dependency in ruby-gdkpixbuf package (ruby-gtk2 instead of ruby-glib2)
- Updated:
   + configuration patch
- Added:
   + ruby-gtkhtml2
   + ruby-gstreamer

* Wed Aug 06 2003 Alexander Bokovoy <ab@altlinux.ru> 0.5.0-alt2
- Fix dependencies for ruby-gtk2

* Tue Aug 05 2003 Alexander Bokovoy <ab@altlinux.ru> 0.5.0-alt1
- 0.5.0
- Build with Ruby 1.8

* Mon Nov 18 2002 Alexander Bokovoy <ab@altlinux.ru> 0.1-alt1
- Initial packaging
